<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [printRaw](./bitburner.ns.printraw.md)

## NS.printRaw() method

Prints a ReactNode to the script logs.

**Signature:**

```typescript
printRaw(node: ReactNode): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  node | [ReactNode](./bitburner.reactnode.md) | The React node to be printed. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

See [ReactNode](./bitburner.reactnode.md) type for the acceptable values.

